\newcommand{\featurecirleline}{0.6pt}
\newcommand{\featurecirlecesize}{0.8em}

\newcommand*{\featurepresent}{%
	\tikz[] {%
		\node[%
			shape=circle,%
            draw,%
            minimum size=\featurecirlecesize,%
            line width=\featurecirleline,%
            inner sep=0pt,%
            fill%
		] {};%
    }%
    \hspace{1.2pt}%
}%

\newcommand*{\featuremissing}{%
	\tikz[] {%
		\node[%
			shape=circle,%
            draw,%
            minimum size=\featurecirlecesize,%
            line width=\featurecirleline,%
            inner sep=0pt%
		] {};%
    }%
    \hspace{1.2pt}%
}%

\newcommand*{\featureincomplete}{%
	\tikz[] {%
		\node[%
			shape=circle,%
            draw,%
            minimum size=\featurecirlecesize,%
            line width=\featurecirleline,%
            inner sep=0pt%
		] {};%
        \node[%
			shape=circle,%
            draw,%
            minimum size=0.4*\featurecirlecesize,%
            line width=\featurecirleline,%
            inner sep=0pt,%
            fill%
		] {};%
    }%
    \hspace{1.2pt}%
}%

\newcommand*{\featurena}{%
    \tikz[] {%
        \node[%
            shape=circle,%
            draw,%
            minimum size=\featurecirlecesize,%
            line width=\featurecirleline,%
            inner sep=0pt%
        ] {\scriptsize \textbf{?}};%
    }%
    \hspace{1.2pt}%
}%